module Projects
  class HgrcSetService < BaseService
    UnsafeSetting = Class.new(StandardError)

    def execute
      hepta_section = project.repository.get_hg_heptapod_config(local: true).map { |k, v| [k, v.to_s] }.to_h

      inherit = @params.delete(:inherit)
      inherit = project.repository.get_hgrc["inherit"] if inherit.nil?

      # TODO should be done on the API side
      @params.delete(:id)

      @params.each_entry do |k, v|
        hepta_section[k.to_s.gsub('_', '-')] = v.to_s
      end
      values = {heptapod: hepta_section}

      Rails.logger.info("HgrcSetService inherit=#{inherit}, values=#{values}, current_user=#{current_user}")

      begin
        project.repository.set_hgrc(current_user, inherit, values)
      rescue Gitlab::Mercurial::HgGitRepository::InvalidHgSetting
        raise UnsafeSetting(
                "One of the section, items or leaf values contains "\
                "unsafe characters")
      end
    end
  end

end
