# frozen_string_literal: true

class BitbucketReimportWorker
  include ApplicationWorker
  include ExceptionBacktrace
  include ProjectImportOptions

  def perform(project_id)
    project = Project.find(project_id)
    success = Gitlab::BitbucketImport::Importer.new(project).reimport
    unless success
      raise StandardError, "Reimport had errors "\
                           "#{project.import_state.last_error}"
    end
    project.after_import
  end
end
