# frozen_string_literal: true

module API
  module Entities
    module JobRequest
      class GitInfo < Grape::Entity
        expose :repo_url, :ref, :sha, :before_sha
        expose :repo_type do |model|
          'hg'
        end
        expose :hgsha do |model|
          model.project.repository.hg_sha_map[model.sha]
        end
        expose :ref_type
        expose :refspecs
        expose :git_depth, as: :depth
      end
    end
  end
end
