# frozen_string_literal: true

module Bitbucket
  module Representation
    class Attachment < Representation::Base

      def name
        raw.fetch('name')
      end

      def retrieval_url
        # honestly, don't know why the URL should be a list. I don't
        # give up easily on documentation, but Bitbucket API documentation
        # is inscrutable, couldn't find a reference for attachments.
        raw.fetch('links').fetch('self').fetch('href')[0]
      end

    end
  end
end
