# frozen_string_literal: true

module Bitbucket
  module Representation
    class Comment < Representation::Base
      def author
        user&.fetch('nickname', nil)
      end

      def author_info
        # gracinet: would be simpler to unmark user() as public
        # but this way gives us more uniformity with issues and
        # probably less conflicts down the road.
        raw.fetch('user', nil)
      end

      def note
        raw.fetch('content', {}).fetch('raw', nil)
      end

      def created_at
        raw['created_on']
      end

      def updated_at
        raw['updated_on'] || raw['created_on']
      end

      private

      def user
        raw.fetch('user', {})
      end
    end
  end
end
