module Gitlab
  module VCS

    SUPPORTED_TYPES = ["hg_git", "git"].freeze

    DEFAULT_TYPE = "hg_git".freeze

    class << self
      def repository_class(vcs_type)
        vcs_type == 'hg_git' ? Gitlab::Mercurial::HgGitRepository : Gitlab::Git::Repository
      end

      def wiki_class(vcs_type)
        vcs_type == 'hg_git' ? Gitlab::Mercurial::Wiki : Gitlab::Git::Wiki
      end
    end
  end
end
